Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tapestry5.internal.services
Class AbstractInstantiator

    java.lang.Object
      org.apache.tapestry5.internal.services.AbstractInstantiator

All Implemented Interfaces:
  Instantiator

    public abstract class AbstractInstantiator

extends java.lang.Object
implements Instantiator

Abstract base class for instantiators; for each component, a new subclass is created at runtime.

Field Summary
`protected java.lang.Object[]` | `constructorArgs`

Constructor Summary
`AbstractInstantiator(ComponentModel model, java.lang.String description, java.lang.Object[] constructorArgs)`

Method Summary
`ComponentModel` | `getModel()` Returns the model that defines the behavior of the component.
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.apache.tapestry5.internal.services.Instantiator
`newInstance`

Field Detail

### constructorArgs

    protected final java.lang.Object[] constructorArgs

Constructor Detail

### AbstractInstantiator

    public AbstractInstantiator(ComponentModel model,
                                java.lang.String description,
                                java.lang.Object[] constructorArgs)

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### getModel

    public ComponentModel getModel()

  Description copied from interface: `Instantiator`
  Returns the model that defines the behavior of the component.

  Specified by:
    `getModel` in interface `Instantiator`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2012 The Apache Software Foundation.